tplgt(1)

NAME
tplgt - Logtalk integration script for Trealla Prolog

SYNOPSIS
tplgt [-q] [-g goal]

DESCRIPTION
tplgt is a Logtalk integration script for Trealla Prolog. It automatically loads the Trealla Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the tpl executable -l option to load the Logtalk files. It passes any options to the tpl executable; see the Trealla Prolog documentation for the available options.

OPTIONS
The two most common options are:

-q  Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings.

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
Trealla Prolog 2.84.29 or a later version is required. This integration script looks for a tpl executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_tp.pl
    Prolog file used for loading the necessary files for starting Logtalk using Trealla Prolog as the backend compiler.

$LOGTALKHOME/adapters/trealla.pl
    The Trealla Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

The Trealla Prolog git repo at https://github.com/infradig/trealla

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2026 Paulo Moura.